%define _requires_exceptions typelib(Unity)

%define major 2
%define libname %mklibname %name %major
%define girmajor 0.2
%define girname %mklibname %name-gir %girmajor
%define develname %mklibname %name -d

Name:		gwibber
Version:	3.4.0
Release:	%mkrel 1
Summary:	An open source microblogging client for GNOME developed with Python and GTK
Group:		Networking/Other
License:	GPLv2+
URL:		https://launchpad.net/gwibber
Source0:	http://launchpad.net/gwibber/trunk/%{version}/+download/gwibber-%{version}.tar.gz
Source1:	https://launchpad.net/gwibber-service-sina/trunk/0.9.1/+download/gwibber-service-sina-0.9.1.tar.gz
Patch0:		gwibber-3.4.0-drop-gtk2.patch
# Patch1 from ubuntu to migrate to gtk for sina service
Patch1:		gwibber-service-sina-0.9.1-gtk3.patch
BuildRequires: pkgconfig(dee-1.0) >= 1.0.0
BuildRequires: pkgconfig(gdk-3.0) >= 3.2
BuildRequires: pkgconfig(gee-1.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.26
BuildRequires: pkgconfig(glib-2.0) >= 2.26
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gobject-2.0) >= 2.26
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.2
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(libnotify) >= 0.7
BuildRequires: pkgconfig(libsoup-2.4)
BuildRequires: pkgconfig(pangocairo)
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.10
BuildRequires: intltool >= 0.35.0
BuildRequires: vala >= 0.15
BuildRequires: python-devel >= 2.6
BuildRequires: gettext-devel
BuildRequires: python-setuptools
BuildRequires: python-distutils-extra
Requires: python-sqlite2
Requires: python-dbus
Requires: python-simplejson
Requires: python-oauth
Requires: python-imaging

%description
Gwibber is an open source microblogging client for GNOME developed with Python
and GTK. It supports Twitter, Jaiku, Identi.ca, Facebook, and Digg.

%package -n %libname
Summary: Gwibber - shared library
Group: Networking/Other

%description -n %libname
Gwibber - shared library.

%package -n %girname
Summary: GObject Introspection interface description for Gwibber
Group: Networking/Other
Requires: %libname = %version

%description -n %girname
GObject Introspection interface description for Gwibber.

%package -n %develname
Summary: Development files for Gwibber
Group: Networking/Other
Requires: %libname = %version

%description -n %develname
Development files for Gwibber.

%prep
%setup -q -a1
%patch0 -p0
pushd gwibber-service-sina-0.9.1
%patch1 -p1
popd

find libgwibber-gtk -name *.c -delete

%build
%configure2_5x --disable-spell --disable-unity --disable-schemas-compile
make

pushd gwibber-service-sina-0.9.1
python setup.py build
popd

%install
%makeinstall_std

rm -f %buildroot%{_libdir}/*.la %buildroot%{_libdir}/*.a

%find_lang %{name}

pushd gwibber-service-sina-0.9.1
python setup.py install --root=%buildroot
popd
 
%files -f %{name}.lang
%doc AUTHORS README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/dbus-1/services/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/indicators/messages/applications/gwibber.indicator
%{py_puresitedir}/*
%{_datadir}/GConf/gsettings/*.convert
%{_mandir}/man1/*

%files -n %libname
%{_libdir}/*.so.%major
%{_libdir}/*.so.%major.*

%files -n %girname
%{_libdir}/girepository-1.0/Gwibber*-%{girmajor}.typelib

%files -n %develname
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*.vapi
%{_datadir}/vala/vapi/*.deps


%changelog

* Wed Apr 11 2012 fwang <fwang> 3.4.0-1.mga2
+ Revision: 230206
- update pkgconfig file patch
- update file list
- add br
- upload gtk3 patch
- add sina service
- drop old not needed patches
  drop gtk2 from .pc file
- try build with non-parallel
- force regenerate libgwibber-gtk.c
- drop autogen
- fix typo
- new version 3.4.0

* Sun Jan 29 2012 fwang <fwang> 3.3.2-1.mga2
+ Revision: 202863
- more gee 0.8 patch
- force rebuild vala files
- bump br
- br gee 0.8
- br gettext-devel
- new version 3.3.2
- sync with fedora patches

* Mon Dec 05 2011 fwang <fwang> 3.3.1.1-1.mga2
+ Revision: 176802
- use gnome-autogen
- update br
- drop old patches
- new version 3.3.1.1

  + obgr_seneca <obgr_seneca>
    - rebuild against new libdbusmenu

* Tue Nov 01 2011 fwang <fwang> 3.2.1-2.mga2
+ Revision: 160998
- add more req

* Mon Oct 31 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 160397
- drop static lib
- update file list
- update file list
- fix pkgconfig file
- update file list
- update file list
- fix vapi of gtk3
- delete c files
- new version 3.2.1
- new version 3.2.0.1
- rework patch
- replace tabs
- add condition
- fix syntax with latest vala
- force regenerate c files
- disable unity also
- disable spell
- recognize newer valac
- clean spec
- 3.2.0 (gtk3 based)

* Wed Jul 13 2011 wally <wally> 3.1.0-2.mga2
+ Revision: 123866
- fix _requires_exceptions

* Wed Jul 13 2011 fwang <fwang> 3.1.0-1.mga2
+ Revision: 123770
- new version 3.1.0

* Sun Jul 10 2011 fwang <fwang> 3.0.0.1-2.mga2
+ Revision: 121810
- sync with mandriva, added some popular microblogging services in china

* Tue Apr 19 2011 dmorgan <dmorgan> 3.0.0.1-1.mga1
+ Revision: 88139
- imported package gwibber


* Fri Apr 15 2011 Sandro Cazzaniga <kharec@mandriva.org> 3.0.0.1-1mdv2011.0
+ Revision: 653094
- update to 3.0.0.1 (which is not a gnome3 package, just the last stable release)

* Sun Nov 28 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.91.1-1mdv2011.0
+ Revision: 602462
- update to 2.91.1

* Fri Nov 19 2010 Funda Wang <fwang@mandriva.org> 2.32.2-1mdv2011.0
+ Revision: 598841
- new version 2.32.2

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

  + Sandro Cazzaniga <kharec@mandriva.org>
    - drop p0 (not applied since last release)

* Sun Sep 05 2010 Funda Wang <fwang@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 576042
- new version 2.31.91

* Mon Aug 23 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.31.90-1mdv2011.0
+ Revision: 572192
- new version 2.31.90
- don't use patch0 (seems be not applicable on this version, bbut keep it)

* Tue Aug 17 2010 Michael Scherer <misc@mandriva.org> 2.30.1-2mdv2011.0
+ Revision: 570935
- add a patch to gwibber to fix issues about KeyError: "_id"
- update to latest stable branch
- add missing Requires

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - python-curl is required

* Sun Apr 18 2010 Frederik Himpe <fhimpe@mandriva.org> 2.30.0.1-1mdv2010.1
+ Revision: 536443
- Update to new version 2.30.0.1

* Mon Apr 05 2010 Olivier Faurax <ofaurax@mandriva.org> 2.29.94-1mdv2010.1
+ Revision: 531482
- New version 2.29.94

* Sun Mar 28 2010 Olivier Faurax <ofaurax@mandriva.org> 2.29.92.1-2mdv2010.1
+ Revision: 528529
- Increment build number to bypass Build System dead submission in upload queue
- New version 2.29.92.1

* Sat Feb 20 2010 Frederik Himpe <fhimpe@mandriva.org> 2.29.90.1-1mdv2010.1
+ Revision: 508678
- Update to new version 2.29.90.1

* Sat Feb 13 2010 Frederik Himpe <fhimpe@mandriva.org> 2.29.1-2mdv2010.1
+ Revision: 505188
- Requires desktopcouch

* Wed Feb 10 2010 Michael Scherer <misc@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 503498
- new version of 2.29

* Sun Jul 12 2009 Frederik Himpe <fhimpe@mandriva.org> 1.2.0-0.r347mdv2010.0
+ Revision: 395327
- First Mandriva package based on Fedora's SPEC
- create gwibber

